/*
   ServoKnob Sample sketch
 
 An example code for Servoknob controlling
 the servo position using a potentiometer 
 (variable resistor).
 Use SoftwareSerial pin 2 (RX) and 3 (TX).
 
 ServoDriver to gizDuino
 TX  --> pin2 (RX)
 RX  --> pin3 (TX)
 GND --> GND
 PWR --> 5V supply*
 
 Note*: you can use 5V supply on the gizduino required
 only 1-2 servo like SG-90.
 If 3 or more servo SG-90 to MG995 etc., with high
 current/torque,please use SoftStarter to limit/
 control the current on each servo motors
 and seperate the supply.
 
 SoftStarter kit : (Optional) http://goo.gl/Ak9x17
 Adaptor: (Optional) http://goo.gl/AbxLuQ
 
 Codes by
 e-Gizmo Mechatronix Central
 November 2, 2018
 http://www.e-gizmo.net/oc
 
 */

#include "eGizmo_16channelServo.h"
//SoftwareSerial is already included

SoftwareSerial softSerial(2,3);
eGizmo_16channelServo servoDriver(&softSerial);

//To use hardware Serial pins, use this instead
//eGizmo_16channelServo servoDriver(&Serial);
int potentiometer = 0;
int value;

void setup() {
  // put your setup code here, to run once
  servoDriver.begin(9600);
}//Setup

void loop() {

  value = analogRead(potentiometer); //reads the value of the potentiometer from low 0 to 1023 high
  value = map(value,0,1023,10,160);  // scale it from 10 to 160 degrees
  servoDriver.moveServo(2, value);   // sets the servo channel 2 position according to the scaled value
  delay(15);                         // waits for the servo to move there 



}//Loop
